This system is running a desktop environment! This setup is not supported.

  • hello



    very happy user since a few years. First on an HP microserver, afterwards on an Odroid HC, now on an (older) HP workstation, with a lot of cpu power (what I was missing on the odroid :) )



    trying to upgrade my installation, so I have the new php (so I can upgrade my nextcloud an ampache).



    root@Z800:~# omv-release-upgrade

    Upgrading system to 7.0 (Sandworm) ...

    This system is running a desktop environment! This setup is not supported.


    I get this 'error' ... it i strue I had an X isntallaton, with a xfce instllation that I reached over vnc (it a headless server) an I stop and start this. Now - I understand you want no issues with this (and it would be better to do this is a virtual machine or docker or something, but didnt take the time to fiddle with it.


    I tried to remove all the X tings (x11 , ldxe , xfce, ...) but it is still giving me this problem.


    what packages (?) is the omv-release-upgrade looking for? so I can really remove them all.


    thank you!

    HP Z800 Workstation running OMV.

    also running Nextcloud for home home use, Motioneye for CCTV, Ampache for listening my music around the world

    Dual CPU Intel(R) Xeon(R) CPU E5620 @ 2.40GHz

    • Official Post

    openmediavault/deb/openmediavault/usr/sbin/omv-release-upgrade at 6.x · openmediavault/openmediavault
    openmediavault is the next generation network attached storage (NAS) solution based on Debian Linux. Thanks to the modular design of the framework it can be…
    github.com

    omv 7.0.5-1 sandworm | 64 bit | 6.8 proxmox kernel

    plugins :: omvextrasorg 7.0 | kvm 7.0.13 | compose 7.1.4 | k8s 7.1.0-3 | cputemp 7.0.1 | mergerfs 7.0.4


    omv-extras.org plugins source code and issue tracker - github - changelogs


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • thank you for the swift reply, but .....



    root@Z800:~# apt remove gdm3 sddm lxdm xdm lightdm slim wdm

    Reading package lists... Done

    Building dependency tree... Done

    Reading state information... Done

    Package 'gdm3' is not installed, so not removed

    Package 'lightdm' is not installed, so not removed

    Package 'lxdm' is not installed, so not removed

    Package 'sddm' is not installed, so not removed

    Package 'slim' is not installed, so not removed

    Package 'wdm' is not installed, so not removed

    Package 'xdm' is not installed, so not removed

    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    root@Z800:~# omv-release-upgrade

    Upgrading system to 7.0 (Sandworm) ...

    This system is running a desktop environment! This setup is not supported.

    root@Z800:~#

    HP Z800 Workstation running OMV.

    also running Nextcloud for home home use, Motioneye for CCTV, Ampache for listening my music around the world

    Dual CPU Intel(R) Xeon(R) CPU E5620 @ 2.40GHz

  • thank you !!



    (there was some sddm-theme installed)

    HP Z800 Workstation running OMV.

    also running Nextcloud for home home use, Motioneye for CCTV, Ampache for listening my music around the world

    Dual CPU Intel(R) Xeon(R) CPU E5620 @ 2.40GHz

  • speeskeek

    Added the Label resolved

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!